Package org.eclipse.emf.cdo.expressions

# Interface CharValue

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `Expression`, `Notifier`, `Value`

All Known Implementing Classes:
  `CharValueImpl`

public interface CharValue extends Value
A representation of the model object 'Char Value'.

The following features are supported:

- `Literal`

See Also:
  - `ExpressionsPackage.getCharValue()`
Generated
Model

## Method Summary

Modifier and Type
Method
Description
`Character`
`getLiteral()`
Returns the value of the 'Literal' attribute.
`void`
`setLiteral(char value)`
Sets the value of the '`Literal`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

`evaluate`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLiteral

Character getLiteral()
Returns the value of the 'Literal' attribute.

If the meaning of the 'Literal' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getLiteral` in interface `Value`
Returns:
  the value of the 'Literal' attribute.
See Also:
  - `setLiteral(char)`
  - `ExpressionsPackage.getCharValue_Literal()`
Generated
  NOT
Model

### setLiteral

void setLiteral(char value)
Sets the value of the '`Literal`' attribute.

Parameters:
  `value` - the new value of the 'Literal' attribute.
See Also:
  - `getLiteral()`
Generated